
The Batch object represents an email being sent to a specific category and multiple contacts.
This object contains the following attributes:
id
string, core
(Read-only) A primary identifier for the batch.
href
string, core
(Read-only) A relative reference to the object.
category
object, core
Represents the object.
account
object, core
Represents the object.
subject
string, core
The subject line of the notification email.
body
string
The body of the message.
attachments
object
(Read-only) Represents the attachment object. Example:
{
"id": "MST-1234-9876-3333",
"href": "/v1/notifications/batches/MST-1234-9876-3333",
"category": {
"id": "NTC-1234-9876",
"href": "/v1/notifications/categories/NTC-1234-9876",
"name": "Orders",
"shortDescription": "Includes updates about order confirmations, order status updates, and related communications."
},
"account": {
"id": "ACC-5131-0044",
"href": "/accounts/accounts/ACC-5131-0044",
"type": "Client",
"status": "Active",
"name": "SURFMARKET BV"
},
"subject": "Order published",
"body": "<b>Hello</b>",
}[
{
"id": "ATT-1234-1234-1234",
"name": "Some mail attachment",
"contentType": "application/octet-stream",
"fileSize": 1234,
"fileName": "SomeFile.pdf",
"href": "/v1/notifications/messages/attachments/ATT-1234-1234-1234"
},
{
"id": "ATT-9876-9876-9876",
"name": "Some other mail attachment",
"contentType": "application/octet-stream",
"fileSize": 9876,
"fileName": "SomeOtherFile.pdf",
"href": "/v1/notifications/messages/attachments/ATT-9876-9876-9876"
}
]
Returns the resource with the specified ID. Use the select query parameter to specify which fields to include.
The resource ID.
Optional RQL select statement to filter fields.
OK
Represents a batch of notification messages that share common properties.
Gets or sets the unique identifier for the attachment.
Gets the URL to download the attachment.
Gets or sets the display name for the attachment.
Gets or sets the file name of the attachment.
Gets or sets the size of the attachment in bytes.
Gets or sets the content type of the attachment.
Gets or sets the body content for messages in this batch.
Gets or sets the description of the category.
Gets or sets a value indicating whether recipients can opt out of notifications in this category.
Gets or sets the current status of the category.
Gets or sets an optional note about the category.
Gets or sets a value indicating whether this category can be deleted.
Gets or sets the number of messages sent in the current month.
Gets or sets the number of messages sent today.
Gets or sets the number of messages sent in the current week.
Gets or sets the timestamp of when this category was last used to send a notification.
Gets or sets a value indicating whether this category is enabled by default for new recipients.
Gets or sets the description of the category.
Gets or sets the timestamp of when this category was last used to send a notification.
Gets or sets the list of account types for which this template should trigger.
Gets or sets the RQL filter condition that must be satisfied for the template to trigger.
Gets or sets the platform object type this template monitors.
Gets or sets the RQL filter condition that must be satisfied for the template to trigger.
Gets or sets a value indicating whether this is the default variant for the parent template.
Gets or sets the language code for this variant.
Gets or sets the current status of the variant.
Gets or sets the description of this template.
Gets or sets the timestamp of when this template was last used to send a notification.
Gets or sets the number of messages sent in the current month.
Gets or sets the number of messages sent today.
Gets or sets the number of messages sent in the current week.
Gets or sets the current status of the template.
Gets or sets a value indicating whether this is the default variant for the parent template.
Gets or sets the language code for this variant.
Gets or sets the current status of the variant.
Gets or sets an external identifier for integration with external systems.
Gets or sets the number of messages that bounced.
Gets or sets the number of messages that received complaints.
Gets or sets the number of messages that were discarded before sending.
Gets or sets the number of messages that failed to send.
Gets or sets the number of messages currently queued for sending.
Gets or sets the number of messages that were successfully sent.
Gets or sets the total number of messages in the batch.
Gets or sets the subject for messages in this batch.
Gets or sets the current status of the batch.
Gets or sets the reason for the current status of the batch.
Gets or sets the type of batch.
Gets or sets the payload data used for template-based batches.
Gets or sets the send context of the batch.
Bad Request
Not Found
GET /public/v1/notifications/batches/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"processed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"account": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active",
"externalIds": {
"pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
},
"externalId": "text",
"externalName": "text",
"address": {
"addressLine1": "text",
"addressLine2": "text",
"postCode": "text",
"city": "text",
"state": "text",
"country": "text"
},
"technicalSupportEmail": "text",
"website": "text",
"description": "text",
"groups": [
{
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"logo": "text",
"isDefault": true
}
],
"eligibility": {
"client": true,
"partner": true
},
"defaultLanguageCode": "text"
},
"attachments": [
{
"id": "text",
"href": "text",
"name": "text",
"fileName": "text",
"fileSize": 1,
"contentType": "text"
}
],
"body": "text",
"category": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"description": "text",
"optOutAllowed": true,
"status": "text",
"note": "text",
"deleteAllowed": true,
"statistics": {
"month": 1,
"today": 1,
"week": 1
},
"lastUsed": "2026-01-01T00:00:00.000Z",
"enabledByDefault": true
},
"template": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"activated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"disabled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"category": {
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"lastUsed": "2026-01-01T00:00:00.000Z"
},
"criteria": {
"accountTypes": [
"text"
],
"filterCondition": "text",
"objectType": "text",
"recipients": {
"selector": "text"
}
},
"defaultVariant": {
"id": "text",
"revision": 1,
"default": true,
"languageCode": "text",
"status": "text"
},
"description": "text",
"lastUsed": "2026-01-01T00:00:00.000Z",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"statistics": {
"month": 1,
"today": 1,
"week": 1
},
"status": "text",
"variants": [
{
"id": "text",
"revision": 1,
"default": true,
"languageCode": "text",
"status": "text"
}
],
"externalId": "text"
},
"statistics": {
"bounced": 1,
"complained": 1,
"discarded": 1,
"failed": 1,
"queued": 1,
"sent": 1,
"total": 1
},
"subject": "text",
"status": "text",
"statusReason": "text",
"type": "text",
"payload": "text",
"sendContext": "text",
"sourceAccount": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
}Supports RQL filtering, sorting, and pagination via query string parameters.
OK
Gets or sets the unique identifier for the attachment.
Gets the URL to download the attachment.
Gets or sets the display name for the attachment.
Gets or sets the file name of the attachment.
Gets or sets the size of the attachment in bytes.
Gets or sets the content type of the attachment.
Gets or sets the body content for messages in this batch.
Gets or sets the description of the category.
Gets or sets a value indicating whether recipients can opt out of notifications in this category.
Gets or sets the current status of the category.
Gets or sets an optional note about the category.
Gets or sets a value indicating whether this category can be deleted.
Gets or sets the number of messages sent in the current month.
Gets or sets the number of messages sent today.
Gets or sets the number of messages sent in the current week.
Gets or sets the timestamp of when this category was last used to send a notification.
Gets or sets a value indicating whether this category is enabled by default for new recipients.
Gets or sets the description of the category.
Gets or sets the timestamp of when this category was last used to send a notification.
Gets or sets the list of account types for which this template should trigger.
Gets or sets the RQL filter condition that must be satisfied for the template to trigger.
Gets or sets the platform object type this template monitors.
Gets or sets the RQL filter condition that must be satisfied for the template to trigger.
Gets or sets a value indicating whether this is the default variant for the parent template.
Gets or sets the language code for this variant.
Gets or sets the current status of the variant.
Gets or sets the description of this template.
Gets or sets the timestamp of when this template was last used to send a notification.
Gets or sets the number of messages sent in the current month.
Gets or sets the number of messages sent today.
Gets or sets the number of messages sent in the current week.
Gets or sets the current status of the template.
Gets or sets a value indicating whether this is the default variant for the parent template.
Gets or sets the language code for this variant.
Gets or sets the current status of the variant.
Gets or sets an external identifier for integration with external systems.
Gets or sets the number of messages that bounced.
Gets or sets the number of messages that received complaints.
Gets or sets the number of messages that were discarded before sending.
Gets or sets the number of messages that failed to send.
Gets or sets the number of messages currently queued for sending.
Gets or sets the number of messages that were successfully sent.
Gets or sets the total number of messages in the batch.
Gets or sets the subject for messages in this batch.
Gets or sets the current status of the batch.
Gets or sets the reason for the current status of the batch.
Gets or sets the type of batch.
Gets or sets the payload data used for template-based batches.
Gets or sets the send context of the batch.
Bad Request
GET /public/v1/notifications/batches HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"$meta": {
"pagination": {
"offset": 1,
"limit": 1,
"total": 1
},
"omitted": [
"text"
]
},
"data": [
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"processed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"account": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active",
"externalIds": {
"pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
},
"externalId": "text",
"externalName": "text",
"address": {
"addressLine1": "text",
"addressLine2": "text",
"postCode": "text",
"city": "text",
"state": "text",
"country": "text"
},
"technicalSupportEmail": "text",
"website": "text",
"description": "text",
"groups": [
{
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"logo": "text",
"isDefault": true
}
],
"eligibility": {
"client": true,
"partner": true
},
"defaultLanguageCode": "text"
},
"attachments": [
{
"id": "text",
"href": "text",
"name": "text",
"fileName": "text",
"fileSize": 1,
"contentType": "text"
}
],
"body": "text",
"category": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"description": "text",
"optOutAllowed": true,
"status": "text",
"note": "text",
"deleteAllowed": true,
"statistics": {
"month": 1,
"today": 1,
"week": 1
},
"lastUsed": "2026-01-01T00:00:00.000Z",
"enabledByDefault": true
},
"template": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"activated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"disabled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"category": {
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"lastUsed": "2026-01-01T00:00:00.000Z"
},
"criteria": {
"accountTypes": [
"text"
],
"filterCondition": "text",
"objectType": "text",
"recipients": {
"selector": "text"
}
},
"defaultVariant": {
"id": "text",
"revision": 1,
"default": true,
"languageCode": "text",
"status": "text"
},
"description": "text",
"lastUsed": "2026-01-01T00:00:00.000Z",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"statistics": {
"month": 1,
"today": 1,
"week": 1
},
"status": "text",
"variants": [
{
"id": "text",
"revision": 1,
"default": true,
"languageCode": "text",
"status": "text"
}
],
"externalId": "text"
},
"statistics": {
"bounced": 1,
"complained": 1,
"discarded": 1,
"failed": 1,
"queued": 1,
"sent": 1,
"total": 1
},
"subject": "text",
"status": "text",
"statusReason": "text",
"type": "text",
"payload": "text",
"sendContext": "text",
"sourceAccount": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
}
]
}Creates and queues a batch of raw messages with file attachments. Use multipart/form-data content type to include files.
Created
Represents a batch of notification messages that share common properties.
Gets or sets the unique identifier for the attachment.
Gets the URL to download the attachment.
Gets or sets the display name for the attachment.
Gets or sets the file name of the attachment.
Gets or sets the size of the attachment in bytes.
Gets or sets the content type of the attachment.
Gets or sets the body content for messages in this batch.
Gets or sets the description of the category.
Gets or sets a value indicating whether recipients can opt out of notifications in this category.
Gets or sets the current status of the category.
Gets or sets an optional note about the category.
Gets or sets a value indicating whether this category can be deleted.
Gets or sets the number of messages sent in the current month.
Gets or sets the number of messages sent today.
Gets or sets the number of messages sent in the current week.
Gets or sets the timestamp of when this category was last used to send a notification.
Gets or sets a value indicating whether this category is enabled by default for new recipients.
Gets or sets the description of the category.
Gets or sets the timestamp of when this category was last used to send a notification.
Gets or sets the list of account types for which this template should trigger.
Gets or sets the RQL filter condition that must be satisfied for the template to trigger.
Gets or sets the platform object type this template monitors.
Gets or sets the RQL filter condition that must be satisfied for the template to trigger.
Gets or sets a value indicating whether this is the default variant for the parent template.
Gets or sets the language code for this variant.
Gets or sets the current status of the variant.
Gets or sets the description of this template.
Gets or sets the timestamp of when this template was last used to send a notification.
Gets or sets the number of messages sent in the current month.
Gets or sets the number of messages sent today.
Gets or sets the number of messages sent in the current week.
Gets or sets the current status of the template.
Gets or sets a value indicating whether this is the default variant for the parent template.
Gets or sets the language code for this variant.
Gets or sets the current status of the variant.
Gets or sets an external identifier for integration with external systems.
Gets or sets the number of messages that bounced.
Gets or sets the number of messages that received complaints.
Gets or sets the number of messages that were discarded before sending.
Gets or sets the number of messages that failed to send.
Gets or sets the number of messages currently queued for sending.
Gets or sets the number of messages that were successfully sent.
Gets or sets the total number of messages in the batch.
Gets or sets the subject for messages in this batch.
Gets or sets the current status of the batch.
Gets or sets the reason for the current status of the batch.
Gets or sets the type of batch.
Gets or sets the payload data used for template-based batches.
Gets or sets the send context of the batch.
Bad Request
POST /public/v1/notifications/batches HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 399
{
"batch": {
"content": {
"templated": {
"template": {
"id": "text",
"externalId": "text",
"languageCode": "text"
},
"data": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"test": true
},
"raw": {
"category": {
"id": "text"
},
"subject": "text",
"body": "text"
}
},
"recipients": {
"account": {
"id": "text"
},
"buyer": {
"id": "text",
"externalIds": {
"erpCustomerId": "text"
}
},
"user": {
"id": "text"
},
"contacts": [
{
"id": "text",
"email": "text"
}
]
}
},
"form": {}
}{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"processed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"account": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active",
"externalIds": {
"pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
},
"externalId": "text",
"externalName": "text",
"address": {
"addressLine1": "text",
"addressLine2": "text",
"postCode": "text",
"city": "text",
"state": "text",
"country": "text"
},
"technicalSupportEmail": "text",
"website": "text",
"description": "text",
"groups": [
{
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"logo": "text",
"isDefault": true
}
],
"eligibility": {
"client": true,
"partner": true
},
"defaultLanguageCode": "text"
},
"attachments": [
{
"id": "text",
"href": "text",
"name": "text",
"fileName": "text",
"fileSize": 1,
"contentType": "text"
}
],
"body": "text",
"category": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"description": "text",
"optOutAllowed": true,
"status": "text",
"note": "text",
"deleteAllowed": true,
"statistics": {
"month": 1,
"today": 1,
"week": 1
},
"lastUsed": "2026-01-01T00:00:00.000Z",
"enabledByDefault": true
},
"template": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"activated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"disabled": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"category": {
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"lastUsed": "2026-01-01T00:00:00.000Z"
},
"criteria": {
"accountTypes": [
"text"
],
"filterCondition": "text",
"objectType": "text",
"recipients": {
"selector": "text"
}
},
"defaultVariant": {
"id": "text",
"revision": 1,
"default": true,
"languageCode": "text",
"status": "text"
},
"description": "text",
"lastUsed": "2026-01-01T00:00:00.000Z",
"owner": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"statistics": {
"month": 1,
"today": 1,
"week": 1
},
"status": "text",
"variants": [
{
"id": "text",
"revision": 1,
"default": true,
"languageCode": "text",
"status": "text"
}
],
"externalId": "text"
},
"statistics": {
"bounced": 1,
"complained": 1,
"discarded": 1,
"failed": 1,
"queued": 1,
"sent": 1,
"total": 1
},
"subject": "text",
"status": "text",
"statusReason": "text",
"type": "text",
"payload": "text",
"sendContext": "text",
"sourceAccount": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
}Returns the attachment metadata. Use Accept header to control response format.
The batch ID.
The attachment ID.
OK
Represents a file attachment associated with a notification message or batch.
Gets or sets the unique identifier for the attachment.
Gets the URL to download the attachment.
Gets or sets the display name for the attachment.
Gets or sets the file name of the attachment.
Gets or sets the size of the attachment in bytes.
Gets or sets the content type of the attachment.
Moved Permanently
No content
GET /public/v1/notifications/batches/{batchId}/attachments/{attachmentId} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"href": "text",
"name": "text",
"fileName": "text",
"fileSize": 1,
"contentType": "text"
}